%define module_dir Video
%define module_name AcidRip
%define _name acidrip

Summary: Gtk2::Perl frontend for MPlayer/Mencoder
Summary(ru):    MPlayer/Mencoder  Gtk2::Perl
Name: %_name
Version: 0.11
Release: alt3
License: GPL/Artistic
Source0: http://acidrip.thirtythreeandathird.net/%{_name}-%{version}.tar.bz2
Source1: %name-howto.html
Patch1: %name.interface_pm.patch
URL:  http://acidrip.thirtythreeandathird.net
Group: Video

%define filelst %{_name}-%{version}-files

Requires: lsdvd MPlayer MPlayer-fonts libdvdread perl-Gtk2
BuildArch: noarch


# Automatically added by buildreq on Tue Nov 18 2003
BuildRequires: MPlayer-fonts XFree86-libs aalib esound fontconfig freetype2 glib glib2 gtk+ libGLwrapper libSDL libalsa libarts libatk libaudio libaudiofile libcdparanoia libdirectfb libdv libdvdread libexpat libgtk+2 libjpeg liblame liblirc libogg libpango libslang libungif libvorbis lsdvd perl-Glib perl-Gtk2 perl-devel xvid

%description
AcidRip is an automated front end for MPlayer/Mencoder written in Perl, using Gtk2::Perl for a 
graphical interface. Makes encoding a DVD just one button click!

%description -l ru_RU.KOI8-R
AcidRip -    MPlayer/Mencoder   Perl   Gtk2::Perl.
       DVD.

%prep
%setup -q 
%patch1
cp %SOURCE1 .

%build
%perl_vendor_build


%install

%perl_vendor_install

%__os_install_post

rmdir --ignore-fail-on-non-empty %buildroot%_libdir/perl5/vendor_perl/i386-linux

# menu
%__cat <<__MENU__ >%_name.menu
?package(%name): needs="x11" section="Multimedia/Video" \
title="AcidRip" longtitle="DVD ripping tool" \
command="%_bindir/%_name" icon=""
__MENU__

%__install -pD -m644 %_name.menu %buildroot%_menudir/%_name

find $RPM_BUILD_ROOT -type f -print|sed -e "s@^$RPM_BUILD_ROOT@@g" > %{filelst}

%post
%update_menus

%postun
%clean_menus

%files -f %{filelst}
%doc CHANGELOG COPYING INSTALL INSTALL.html MANIFEST TODO %name-howto.html

%changelog
* Tue Nov 18 2003 Egor S. Orlov <oes@altlinux.ru> 0.11-alt3
- added fix from at@altlinux 

* Wed Nov 12 2003 Egor S. Orlov <oes@altlinux.ru> 0.11-alt2
- fixed rebuild problem with lsdvd 

* Mon Oct 06 2003 Egor S. Orlov <oes@altlinux.ru> 0.11-alt1
- New version 

* Fri Oct 03 2003 Egor S. Orlov <oes@altlinux.ru> 0.10-alt1
- Fixed requires for hasher build 

* Fri Aug 29 2003 Egor S. Orlov <oes@altlinux.ru> 0.10-alt0.1
- Version 0.10 (GTK2)

* Mon Aug 25 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.4
- Added russian translation for description and summary

* Tue Aug 05 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.3
- Fixed BuildArch 

* Fri Aug 01 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.2
- Fixed menu item 

* Fri Aug 01 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.1
- Initial build for ALT
- Added acidrip-howto.html

* Fri Sep 27 2002 - Chris Phillips,,, <acid_kewpie\@users.sourceforge.net>
  wrote stuff
